<template>
    <div class="container">
      <div class="col-md-6 mt-5" style="margin:auto; border:2px solid black;">
        <h2 style="text-align: center;"> Login Here</h2>
        <div >
          <h4 :class="error ? 'errormessage' : 'defaultErrorMessage' " v.show="error">{{errorMesage}}</h4>
        </div>
        <form @submit.prevent="Login()" style="padding:2rem;">
          <div class="mb-3 mt-3">
            <label class="form-label">Email:</label>
            <input type="email" class="form-control" id="email" placeholder="Enter email" v-model = "formData.email" @change="errorMesage='' ">
          </div>
          <div class="mb-3">
            <label class="form-label">Password:</label>
            <input type="password" class="form-control" id="pwd" placeholder="Enter password" v-model = "formData.password">
          </div>
          
          <button type="submit" class="btn btn-primary">Submit</button>
        </form>
        <div className="mt-3">
            <p className="mb-0  text-center">
            Don't have an account??{{' '}}
            <router-link to="/signup">
                Register Here
            </router-link>
            </p>
        </div> 
      </div>
    </div>
  </template>
    
  <script>
  import {mapActions} from 'vuex';
  import {LOGIN_ACTION} from '../store/storeConstants';
  import {loginFormValidations} from '../services/Validations';
  export default{
    name: 'LoginPage',
    data() {
        return {
            error:false,
            errorMesage:"",
            formData: {
                email: "",
                password: ""
            }
        };
    },
    methods: {
      ...mapActions("auth", {
        login: LOGIN_ACTION
      }),
      async Login() {
          //check the validations
          let validation = await loginFormValidations(this.formData);
          if(validation.success){
            this.login(this.formData).catch(err=>{
              this.error = true
              this.errorMesage = err?.response?.data?.msg
            })
          }else{
            this.error = true
            this.errorMesage = validation.message
          }
          // await checkEmail(this.formData.email)
      }
    },
  }
  </script>
  
  <style>
.errormessage{
  font-size: 28px;
  color: red;
  margin: auto;
  text-align: center;
}
.defaultErrorMessage{
  visibility: hidden;
}
  </style>
  